sábado, 8 de julio de 2017

Actualización del kernel para Red Hat Enterprise Linux 7

Red Hat ha publicado una actualización (considerada importante) del kernel para toda la familia Red Hat Enterprise Linux 7 que solventa cinco nuevas vulnerabilidades que podrían ser aprovechadas por atacantes para provocar denegaciones de servicio o elevar privilegios.

El primer problema, con CVE-2017-7477, un desbordamiento de búfer basado en la memoria heap cuando se usa el parámetro 'MAX_SKB_FRAGS + 1' y la función 'NETIF_F_FRAGLIST' que podría permitir a un atacante elevar sus privilegios en el sistema. El cliente RPC NFS2/3 puede enviar argumentos muy largos al servidor NTS lo que puede dar lugar a un acceso a memoria fuera de límites, que podría permitir a un atacante remoto provocar condiciones de denegación de servicio (CVE-2017-7645).

Las implementaciones del servidor NFSv2 y NFSv3 en el kernel de Linux hasta 4.10.13 carecen de determinadas comprobaciones para finalización de un búfer. Un atacante remoto podría provocar denegaciones de servicio (CVE-2017-7895). Los kernel compilados con soporte Virtual Machine (CONFIG_KVM) basado se ven afectados por una denegación de servicio o una elevación de privilegios dentro de la máquina invitada (CVE-2017-2583). Por último, un error en el tratamiento de paquetes con la bandera URG puede provocar denegaciones de servicio (CVE-2017-6214).

También se han corregido otros seis fallos no relacionados directamente con problemas de seguridad.

Detalles sobre la aplicación de ésta actualización se encuentran disponibles en:

Más información:

Important: kernel security and bug fix update




Antonio Ropero

Twitter: @aropero